Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.spi
Interface ExtendedLogger

All Superinterfaces:
  Logger

All Known Implementing Classes:
  AbstractLogger, ExtendedLoggerWrapper, SimpleLogger, StatusLogger

    public interface ExtendedLogger

extends Logger

Extends the `Logger` interface with methods that facilitate implementing or extending `Logger`s. Users should not need to use this interface.

Method Summary
`boolean` | `isEnabled(Level level, Marker marker, Message message, Throwable t)` Determines if logging is enabled.
`boolean` | `isEnabled(Level level, Marker marker, Object message, Throwable t)` Determines if logging is enabled.
`boolean` | `isEnabled(Level level, Marker marker, String message)` Determine if logging is enabled.
`boolean` | `isEnabled(Level level, Marker marker, String message, Object... params)` Determines if logging is enabled.
`boolean` | `isEnabled(Level level, Marker marker, String message, Throwable t)` Determines if logging is enabled.
`void` | `logIfEnabled(String fqcn, Level level, Marker marker, Message message, Throwable t)` Logs a message if the specified level is active.
`void` | `logIfEnabled(String fqcn, Level level, Marker marker, Object message, Throwable t)` Logs a message if the specified level is active.
`void` | `logIfEnabled(String fqcn, Level level, Marker marker, String message)` Logs a message if the specified level is active.
`void` | `logIfEnabled(String fqcn, Level level, Marker marker, String message, Object... params)` Logs a message if the specified level is active.
`void` | `logIfEnabled(String fqcn, Level level, Marker marker, String message, Throwable t)` Logs a message if the specified level is active.
`void` | `logMessage(String fqcn, Level level, Marker marker, Message message, Throwable t)` Always logs a message at the specified level.

Methods inherited from interface org.apache.logging.log4j.Logger
`catching, catching, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, entry, entry, error, error, error, error, error, error, error, error, error, error, error, error, error, error, exit, exit, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, getLevel, getMessageFactory, getName, info, info, info, info, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isEnabled, isEnabled, isErrorEnabled, isErrorEnabled, isFatalEnabled, isFatalEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, log, log, log, log, log, log, log, log, log, log, log, log, log, log, printf, printf, throwing, throwing, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

Method Detail

### isEnabled

    boolean isEnabled(Level level,
                      Marker marker,
                      Message message,
                      Throwable t)

  Determines if logging is enabled.

  Parameters:
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The Message.
    `t` - A Throwable.
  Returns:
    True if logging is enabled, false otherwise.

### isEnabled

    boolean isEnabled(Level level,
                      Marker marker,
                      Object message,
                      Throwable t)

  Determines if logging is enabled.

  Parameters:
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message.
    `t` - A Throwable.
  Returns:
    True if logging is enabled, false otherwise.

### isEnabled

    boolean isEnabled(Level level,
                      Marker marker,
                      String message,
                      Throwable t)

  Determines if logging is enabled.

  Parameters:
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message.
    `t` - the exception to log, including its stack trace.
  Returns:
    True if logging is enabled, false otherwise.

### isEnabled

    boolean isEnabled(Level level,
                      Marker marker,
                      String message)

  Determine if logging is enabled.

  Parameters:
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message.
  Returns:
    True if logging is enabled, false otherwise.

### isEnabled

    boolean isEnabled(Level level,
                      Marker marker,
                      String message,
                      Object... params)

  Determines if logging is enabled.

  Parameters:
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message.
    `params` - The parameters.
  Returns:
    True if logging is enabled, false otherwise.

### logIfEnabled

    void logIfEnabled(String fqcn,
                      Level level,
                      Marker marker,
                      Message message,
                      Throwable t)

  Logs a message if the specified level is active.

  Parameters:
    `fqcn` - The fully qualified class name of the logger entry point, used to determine the caller class and method when location information needs to be logged.
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The Message.
    `t` - the exception to log, including its stack trace.

### logIfEnabled

    void logIfEnabled(String fqcn,
                      Level level,
                      Marker marker,
                      Object message,
                      Throwable t)

  Logs a message if the specified level is active.

  Parameters:
    `fqcn` - The fully qualified class name of the logger entry point, used to determine the caller class and method when location information needs to be logged.
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message.
    `t` - the exception to log, including its stack trace.

### logIfEnabled

    void logIfEnabled(String fqcn,
                      Level level,
                      Marker marker,
                      String message,
                      Throwable t)

  Logs a message if the specified level is active.

  Parameters:
    `fqcn` - The fully qualified class name of the logger entry point, used to determine the caller class and method when location information needs to be logged.
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message.
    `t` - the exception to log, including its stack trace.

### logIfEnabled

    void logIfEnabled(String fqcn,
                      Level level,
                      Marker marker,
                      String message)

  Logs a message if the specified level is active.

  Parameters:
    `fqcn` - The fully qualified class name of the logger entry point, used to determine the caller class and method when location information needs to be logged.
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message.

### logIfEnabled

    void logIfEnabled(String fqcn,
                      Level level,
                      Marker marker,
                      String message,
                      Object... params)

  Logs a message if the specified level is active.

  Parameters:
    `fqcn` - The fully qualified class name of the logger entry point, used to determine the caller class and method when location information needs to be logged.
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The message format.
    `params` - The message parameters.

### logMessage

    void logMessage(String fqcn,
                    Level level,
                    Marker marker,
                    Message message,
                    Throwable t)

  Always logs a message at the specified level. It is the responsibility of the caller to ensure the specified level is enabled.

  Parameters:
    `fqcn` - The fully qualified class name of the logger entry point, used to determine the caller class and method when location information needs to be logged.
    `level` - The logging Level to check.
    `marker` - A Marker or null.
    `message` - The Message.
    `t` - the exception to log, including its stack trace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.